# tree< T, tree_node_allocator >::sibling_iterator Class Reference

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::sibling_iterator

Iterator which traverses only the nodes which are siblings of each other.

Definition at line 222 of file tree.hh.

The documentation for this class was generated from the following file:

- tree.hh